---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libagentonload002.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4ECC0, symBinAddr: 0x5190, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x50C00, symBinAddr: 0x70D0, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x50FF0, symBinAddr: 0x74C0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x51F90, symBinAddr: 0x8460, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x51FA0, symBinAddr: 0x8470, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4E950, symBinAddr: 0x5070, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4E954, symBinAddr: 0x5074, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4E958, symBinAddr: 0x5078, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4EAB0, symBinAddr: 0x5080, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4EB68, symBinAddr: 0x5138, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4EB6C, symBinAddr: 0x513C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4EB70, symBinAddr: 0x5140, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4EB74, symBinAddr: 0x5144, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4EB78, symBinAddr: 0x5148, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4EB80, symBinAddr: 0x5150, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4EB98, symBinAddr: 0x5168, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4EBA0, symBinAddr: 0x5170, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4EBA8, symBinAddr: 0x5178, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4EBB0, symBinAddr: 0x5180, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4EBB8, symBinAddr: 0x5188, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xCB0, symSize: 0x80 }
  - { offsetInCU: 0x918C, offset: 0x918C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xC00, symSize: 0xB0 }
  - { offsetInCU: 0x91E7, offset: 0x91E7, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xB00, symSize: 0x100 }
  - { offsetInCU: 0x947A, offset: 0x947A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xD30, symSize: 0x220 }
  - { offsetInCU: 0x965F, offset: 0x965F, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xF50, symSize: 0xA0 }
  - { offsetInCU: 0x9712, offset: 0x9712, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xFF0, symSize: 0x110 }
  - { offsetInCU: 0x9808, offset: 0x9808, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1100, symSize: 0x150 }
  - { offsetInCU: 0x9939, offset: 0x9939, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1250, symSize: 0x30 }
  - { offsetInCU: 0x99C2, offset: 0x99C2, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1280, symSize: 0x150 }
  - { offsetInCU: 0x9BBA, offset: 0x9BBA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x13D0, symSize: 0x160 }
  - { offsetInCU: 0x9D46, offset: 0x9D46, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1530, symSize: 0x1B0 }
  - { offsetInCU: 0x9F61, offset: 0x9F61, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x16E0, symSize: 0xA0 }
  - { offsetInCU: 0xA030, offset: 0xA030, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1780, symSize: 0x20 }
  - { offsetInCU: 0xA067, offset: 0xA067, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x17A0, symSize: 0x20 }
  - { offsetInCU: 0xA09E, offset: 0xA09E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x17C0, symSize: 0x20 }
  - { offsetInCU: 0xA20D, offset: 0xA20D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x17E0, symSize: 0x1A0 }
  - { offsetInCU: 0xA502, offset: 0xA502, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1980, symSize: 0x80 }
  - { offsetInCU: 0xA5CB, offset: 0xA5CB, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1A00, symSize: 0x6A0 }
  - { offsetInCU: 0xB160, offset: 0xB160, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9CC0, symBinAddr: 0x2810, symSize: 0xB0 }
  - { offsetInCU: 0xB1D7, offset: 0xB1D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x20A0, symSize: 0x70 }
  - { offsetInCU: 0xB273, offset: 0xB273, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2110, symSize: 0xA0 }
  - { offsetInCU: 0xB352, offset: 0xB352, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x21B0, symSize: 0x40 }
  - { offsetInCU: 0xB448, offset: 0xB448, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x21F0, symSize: 0x2B0 }
  - { offsetInCU: 0xB7EE, offset: 0xB7EE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x24A0, symSize: 0xC0 }
  - { offsetInCU: 0xB934, offset: 0xB934, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2560, symSize: 0x10 }
  - { offsetInCU: 0xB9F6, offset: 0xB9F6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2570, symSize: 0x220 }
  - { offsetInCU: 0xBD21, offset: 0xBD21, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2790, symSize: 0x40 }
  - { offsetInCU: 0xBD98, offset: 0xBD98, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9C80, symBinAddr: 0x27D0, symSize: 0x40 }
  - { offsetInCU: 0xBE10, offset: 0xBE10, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9D70, symBinAddr: 0x28C0, symSize: 0x36A }
...
